For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
          • PUTInsert / Update Records
          • DELDelete Records
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTEvent-Driven Sync (EDRTS)Data Operations

Insert / Update Records

PUT
https://ebs.feedonomics.com/catalog/rest.php/db/:db_id
PUT
/catalog/rest.php/db/:db_id
$curl -X PUT https://ebs.feedonomics.com/catalog/rest.php/db/102345 \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": "1234",
> "name": "Exciting New Product",
> "description": "This product is exciting and new!"
> },
> {
> "id": "1",
> "description": "Only updating this product description."
> },
> {
> "id": "2",
> "best_seller": ""
> }
>]'
1{
2 "status": "success",
3 "data": {
4 "requests_in_queue": 2,
5 "last_processed_job": {
6 "id": "1428ebcf7cdfd213",
7 "received_timestamp": "2024-04-22T10:15:00-04:00",
8 "processed_timestamp": "2024-04-22T10:15:30-04:00",
9 "processing_time": 30,
10 "details_url": "https://ebs.feedonomics.com/catalog/rest.php/db/102345/1428ebcf7cdfd213"
11 }
12 }
13}
Insert and/or update the provided record(s) in the database. <br> ### Optimizing Performance **Batch Size** When making PUT requests to operate on your data, determining an optimal batch size (number of records per request) can help increase overall throughput. Depending on individual record size, an ideal batch size is typically between 50 - 150 records per request to balance throughput and API response time. The following table displays performance based on an average individual record size of 1KB: | Requests Per Minute | Batch Size (Rows Per Request) | Row Updates Per Minute | | ------------------- | ----------------------------- | ---------------------- | | Up to 1000 | 1 | 1000 | | Up to 300 | 25 | 7500 | | Up to 300 | 50 | 15000 | | Up to 180 | 100 | 18000 | | Up to 40 | 500 | 20000 | <br>
Was this page helpful?
Previous

Event-Driven Sync API (EDRTS)

Next

Delete Records

Built with

Insert and/or update the provided record(s) in the database.


Optimizing Performance

Batch Size

When making PUT requests to operate on your data, determining an optimal batch size (number of records per request) can help increase overall throughput.

Depending on individual record size, an ideal batch size is typically between 50 - 150 records per request to balance throughput and API response time.

The following table displays performance based on an average individual record size of 1KB:

Requests Per MinuteBatch Size (Rows Per Request)Row Updates Per Minute
Up to 100011000
Up to 300257500
Up to 3005015000
Up to 18010018000
Up to 4050020000

Authentication

x-api-keystring
API Key authentication via header

Path parameters

db_idintegerRequired
Unique ID of the database

Request

**The max payload size per request is 10MB, with a max individual record size of 5KB** By default, all requests are queued for asynchronous processing. If synchronous processing is needed, the rate limit for requests is lower than for asynchronous processing. If export triggers have been set up, synchronous processing at the maximum rate, or with too many updates in a single request, may result in unexpected delays in export timing. If the system cannot process all outstanding requests synchronously, some requests may still be processed asynchronously even when synchronous processing is enabled.

Response

OK
statusstringDefaults to success
API response status.
dataobject

Errors

400
Bad Request Error
403
Forbidden Error
5XX
Server Error
502
Bad Gateway Error